/* =========================
   KEY PARTNERS
========================= */
.key-partners {
	background: #e6e7e8;
	padding: 120px 20px;
}

.key-partners-inner {
	max-width: 1146px;
	margin: 0 auto;
	text-align: center;
}

.key-partners-title, .key-partners-title p {
	font-size: 40px;
	line-height: 1.2em;
	letter-spacing: 1px;
	color: var(--main-color);
	font-weight: 400;
	text-align: center;
	margin-bottom: 80px;
}

/* GRID */
.key-partners-grid {
	display: grid;
	grid-template-columns: 1fr auto 1fr;
	align-items: center;
	gap: 60px;
}

/* ITEM */
.key-partner-item {
	max-width: 420px;
	margin: 0 auto;
}

.partner-logo {
	margin-bottom: 30px;
}

.partner-logo img {
	max-height: 120px;
	width: auto;
}

/* TEXT */
.partner-name {
	font-size: 22px;
	font-weight: 700;
	color: #243a8f;
	margin-bottom: 20px;
}

.partner-description, .partner-description p {
	font-size: 24px;
	letter-spacing: 1px;
	color: var(--main-color);
	font-weight: 400;
	text-align: center;
	line-height: 1.2em;
	margin-top: 42px;
}

/* DIVIDER */
.key-partners-divider {
	width: 1px;
	height: 260px;
	background: #c6cbd9;
}

.key-partners-inner .hero-about-content p {
	font-size: 24px;
	letter-spacing: 1px;
	color: var(--main-color);
	font-weight: 400;
	text-align: left;
	line-height: 1.2em;
}

.key-partners-inner .hero-about-image-wrapper {
	width: 62%;
	margin: 65px auto 0;
}

.logo-slider-section {
	padding: 60px 0 40px;
}

.logo-swiper {
	width: 100%;
}

.logo-slide {
	display: flex;
	align-items: center;
	justify-content: center;
}

.logo-slide img {
	max-width: 140px;
	max-height: 80px;
	width: auto;
	height: auto;
	transition: all 0.3s ease;
}


/* =========================
   RESPONSIVE
========================= */
@media (max-width: 900px) {
	.sponsorship-item {
		max-width: 60% !important;
	}

	.key-partners-grid {
		gap: 0;
		display: flex;
		flex-direction: column;
	}

	.key-partner-item {
		display: flex;
		align-items: start;
		justify-content: start;
		max-width: 90%;
		gap: 30px;
	}

	.partner-description, .partner-description p {
		margin-top: 0;
		text-align: left;
	}

	.key-partners-divider {
		display: none;
	}

}
